Class UmlComponent

This class manages 'components'
You can modify it as you want (except the constructor)

Declaration :

- C++ : class UmlComponent : public UmlBaseComponent
- Java : class UmlComponent extends UmlBaseComponent

Artifact : UmlComponent

Operation UmlComponent

Declaration :

- Uml : + UmlComponent(in id : item_id, in n : string) :
- C++ : public: UmlComponent(void * id, const QCString & n) : UmlBaseComponent(id, n)
- Java : public UmlComponent(long id, String n)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , providedClasses , realizingClasses , referencedBy , requiredClasses , set_AssociatedClasses , set_AssociatedDiagram , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload